%define major		11
%define libname		%mklibname mediastreamer %{major}
%define develname	%mklibname mediastreamer -d

Summary:	Audio/video real-time streaming library
Name:		mediastreamer2
# mediastreamer was broken out from linphone which provided lib[64]mediastreamer4-3.8.1-1.mga5
Epoch:		1
Version:	4.4.21
Release:	%mkrel 1
License:	GPLv2+
Group:		Communications/Telephony
URL:		https://linphone.org/technical-corner/mediastreamer2
Source0:	https://github.com/BelledonneCommunications/mediastreamer2/archive/%{version}/mediastreamer2-%{version}.tar.gz
Patch0:		mediastreamer-linkage_fix.patch
# (wally) install pkgconfig pc file with cmake
Patch2:		mediastreamer-cmake-install-pkgconfig-pc-file.patch
# (wally) allow overriding cmake config file location from cmd line
Patch3:		mediastreamer-cmake-config-location.patch
BuildRequires:	bcmatroska2-devel
BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	gsm-devel
BuildRequires:	libpcap-devel
BuildRequires:	libv4l-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(bctoolbox) >= %{version}
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libbcg729)
BuildRequires:	pkgconfig(libbzrtp)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(libvpx)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(ortp)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	vim-common

Obsoletes:      mediastreamer < 1:4.3.1-2
Provides:       mediastreamer = %{epoch}:%{version}-%{release}

%description
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{libname}
Summary:	Audio/video real-time streaming library
Group:		System/Libraries

%description -n	%{libname}
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{develname}
Summary:	Headers, libraries and docs for the mediastreamer2 library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains header files and development libraries needed to
develop programs using the mediastreamer2 library.

%prep
%autosetup -p1 -n mediastreamer2-%{version}

# fix version
sed -i -e '/mediastreamer2/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_UNIT_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

#find_lang %%{name}

find %{buildroot} -name "*.la" -delete

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/mediastreamer*

%files
%license LICENSE*
%doc CHANGELOG* README*
%{_bindir}/mediastream
%{_bindir}/mkvstream
#{_bindir}/msaudiocmp
%dir %{_datadir}/images/
%{_datadir}/images/nowebcamCIF.jpg

%files -n %{libname}
%{_libdir}/libmediastreamer.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/mediastreamer2/
%{_libdir}/libmediastreamer.so
%{_libdir}/pkgconfig/mediastreamer.pc
%{_libdir}/cmake/Mediastreamer2/


%changelog
* Sun Dec 27 2020 wally <wally> 1:4.4.21-1.mga8
+ Revision: 1664111
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 1:4.4.19-1.mga8
+ Revision: 1661358
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 1:4.4.13-1.mga8
+ Revision: 1655182
- new version 4.4.13

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1:4.4.9-2.mga8
+ Revision: 1651356
- rebuild for glew

* Mon Nov 23 2020 wally <wally> 1:4.4.9-1.mga8
+ Revision: 1648767
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 1:4.4.6-2.mga8
+ Revision: 1639338
- rebuild with new libsrtp2

* Sun Oct 25 2020 wally <wally> 1:4.4.6-1.mga8
+ Revision: 1639259
- new version 4.4.6

* Wed Oct 21 2020 wally <wally> 1:4.4.2-3.mga8
+ Revision: 1637570
- fix mediastreamer obsoletes and provides to include epoch
- update descriptions

* Tue Oct 20 2020 eatdirt <eatdirt> 1:4.4.2-2.mga8
+ Revision: 1637380
- Obsolete and Provide mediastream

* Sat Oct 03 2020 wally <wally> 1:4.4.2-1.mga8
+ Revision: 1632075
- new version 4.4.2
- new lib major 11
- udpate URL

* Mon Apr 20 2020 wally <wally> 1:4.3.1-2.mga8
+ Revision: 1570094
- rename as mediastreamer2
- fix pkg-config .pc file

* Sat Mar 28 2020 wally <wally> 1:4.3.1-1.mga8
+ Revision: 1561411
- new version 4.3.1

* Sat Feb 15 2020 umeabot <umeabot> 1:2.16.1-9.mga8
+ Revision: 1524830
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 daviddavid <daviddavid> 1:2.16.1-8.mga7
+ Revision: 1383391
- rebuild for arm

* Sun Feb 10 2019 zezinho <zezinho> 1:2.16.1-7.mga7
+ Revision: 1365073
- rebuild for libvpx 1.8.0

* Sun Sep 23 2018 umeabot <umeabot> 1:2.16.1-6.mga7
+ Revision: 1299510
- Mageia 7 Mass Rebuild

* Mon May 21 2018 daviddavid <daviddavid> 1:2.16.1-5.mga7
+ Revision: 1230928
- rebuild against latest libvpx (mga#23059)

* Thu Apr 26 2018 daviddavid <daviddavid> 1:2.16.1-4.mga7
+ Revision: 1222639
- rebuild for new ffmpeg 4.0

* Fri Feb 02 2018 daviddavid <daviddavid> 1:2.16.1-3.mga7
+ Revision: 1198551
- rebuild for new libvpx 1.7.0

* Mon Jan 01 2018 wally <wally> 1:2.16.1-2.mga7
+ Revision: 1188539
- fix devel pkg requires
- add more general provides to devel pkg

* Sun Dec 31 2017 wally <wally> 1:2.16.1-1.mga7
+ Revision: 1188376
- new version 2.16.1
- switch to cmake build

* Sat Dec 30 2017 wally <wally> 1:2.14.0-8.mga7
+ Revision: 1188093
- add patch to fix build with new bctoolbox
- rebuild for new libbctoolbox
+ tv <tv>
- rebuild for new libbctoolbox

* Wed Jul 19 2017 cjw <cjw> 1:2.14.0-6.mga7
+ Revision: 1125323
- rebuild for new libvpx

* Tue May 02 2017 akien <akien> 1:2.14.0-5.mga6
+ Revision: 1098305
- Rebuild for ffmpeg 3.3

* Fri Mar 10 2017 akien <akien> 1:2.14.0-4.mga6
+ Revision: 1091626
- Rebuild for v4l-utils 1.12.3

* Thu Mar 09 2017 neoclust <neoclust> 1:2.14.0-3.mga6
+ Revision: 1090741
- Rebuild for armv5

* Wed Mar 08 2017 akien <akien> 1:2.14.0-2.mga6
+ Revision: 1089877
- Rebuild for ffmpeg 3.2.4

* Fri Dec 02 2016 daviddavid <daviddavid> 1:2.14.0-1.mga6
+ Revision: 1071700
- new version: 2.14.0
- now libmajor is 7
- rename and rediff linkage_fix patch
- add BR pkgconfig(bctoolbox)
- pass NOCONFIGURE=1 to autogen
+ tmb <tmb>
- rebuild for new ortp

* Fri Jan 15 2016 luigiwalser <luigiwalser> 1:2.12.0-2.mga6
+ Revision: 923164
- rebuild to regenerate devel deps

* Mon Nov 16 2015 oden <oden> 1:2.12.0-1.mga6
+ Revision: 903588
- soname bump to 6
- 2.12.0

* Mon Aug 24 2015 sander85 <sander85> 1:2.11.2-2.mga6
+ Revision: 869124
- Rebuild for glew 1.13.0

* Sun Aug 02 2015 oden <oden> 1:2.11.2-1.mga6
+ Revision: 860701
- fix br: vim-common
- imported package mediastreamer

